%if 0%{?fedora} >= 22
%global with_python3 1
%endif

%define unmangled_name rst2html5

Summary: Generates (X)HTML5 documents from standalone reStructuredText sources
Name: python-%{unmangled_name}
Version: 1.7.5
Release: 2%{?dist}.1
Source0: https://pypi.python.org/packages/source/r/%{unmangled_name}/%{unmangled_name}-%{version}.tar.gz
License: MIT
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-docutils
BuildRequires: python-genshi
BuildRequires: python-pygments
%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-docutils
BuildRequires: python3-genshi
BuildRequires: python3-pygments
%endif
Requires: python-docutils
Requires: python-genshi
Requires: python-pygments
Vendor: André Felipe Dias <andref.dias@gmail.com>
Url: https://bitbucket.org/andre_felipe_dias/rst2html5

%description
rst2html5 generates (X)HTML5 documents from standalone reStructuredText sources.
It is a complete rewrite of the docutils' rst2html and uses new HTML5 constructs
such as
<section> and <aside>.

%if 0%{?with_python3}
%package -n python3-%{unmangled_name}
Summary: Generates (X)HTML5 documents from standalone reStructuredText sources
Group: Development/Libraries
Requires: python3-docutils
Requires: python3-genshi
Requires: python3-pygments

%description -n python3-%{unmangled_name}
rst2html5 generates (X)HTML5 documents from standalone reStructuredText sources.
It is a complete rewrite of the docutils' rst2html and uses new HTML5 constructs
such as
<section> and <aside>.

This package contains the python3 version of this module.
%endif

%prep
%setup -n %{unmangled_name}-%{version}
%{__mkdir_p} src/rst2html5
%{__mv} src/rst2html5.py src/rst2html5/__init__.py
%{__mv} src/modules src/rst2html5/modules
%{__sed} -i 's/^from modules/from .modules/' src/rst2html5/__init__.py

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
pushd %{py3dir}
popd
%endif

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%{__python} setup.py install \
  --skip-build \
  --single-version-externally-managed \
  -O2 \
  --root=$RPM_BUILD_ROOT \
  --record=INSTALLED_FILES_PY2

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install \
  --single-version-externally-managed \
  --skip-build \
  -O2 \
  --root=$RPM_BUILD_ROOT \
  --record="%{_builddir}/%{buildsubdir}/INSTALLED_FILES_PY3"
popd
%endif

%check
%{__python2} setup.py test

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES_PY2
%defattr(-,root,root)

%if 0%{?with_python3}
%files -n python3-%{unmangled_name} -f INSTALLED_FILES_PY3
%defattr(-,root,root)
%endif
%changelog
* Sat Nov 14 2015 Oleg Girko <ol@infoserver.lv> 1.7.5-2
- Enable build with Python 3
* Wed Sep  9 2015 Oleg Girko <ol@infoserver.lv> 1.7.5-1
- Initial package
